Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Attributes | List of all members
peripheral::PackageInfo Struct Reference

Peripheral device package information. More...

`import <PeripheralDevicePackage.idl;`

## Classes
struct | FirmwareInfo
struct | HardwareInfo

## Public Types
enum | State { NORMAL , FW_UPDATE , INTERNAL_ERROR , CONFIG_ERROR }

## Public Attributes
State | state
| The peripheral device package operational state.
vector< PosElement > | position
| Position within 1-wire topo.
HardwareInfo | hwInfo
| Device package hardware specific information.
FirmwareInfo | fwInfo
| Device package firmware specific information.

## Detailed Description

Peripheral device package information.

Definition at line 14 of file PeripheralDevicePackage.idl.

## Member Enumeration Documentation

## ◆ State

enum peripheral::PackageInfo::State

Enumerator
NORMAL | Device package is in normal operation.
FW_UPDATE | Device package's firmware is being updated.
INTERNAL_ERROR | Device package's internal error flag is set.
CONFIG_ERROR | Device package's internal configuration is invalid.

Definition at line 15 of file PeripheralDevicePackage.idl.

## Member Data Documentation

## ◆ fwInfo

FirmwareInfo peripheral::PackageInfo::fwInfo

Device package firmware specific information.

Definition at line 47 of file PeripheralDevicePackage.idl.

## ◆ hwInfo

HardwareInfo peripheral::PackageInfo::hwInfo

Device package hardware specific information.

Definition at line 46 of file PeripheralDevicePackage.idl.

## ◆ position

vector<PosElement> peripheral::PackageInfo::position

Position within 1-wire topo.

Definition at line 45 of file PeripheralDevicePackage.idl.

## ◆ state

State peripheral::PackageInfo::state

The peripheral device package operational state.

Definition at line 44 of file PeripheralDevicePackage.idl.

The documentation for this struct was generated from the following file:

- PeripheralDevicePackage.idl